{% extends '@RadditApp/base.html.twig' %}

{% block page_classes %}
  wiki-page
{% endblock %}

{% block title %}
  {{ page.currentRevision.title }}
{% endblock %}

{% block head %}
  <link rel="canonical" href="{{ url('raddit_app_wiki', {path: page.path}) }}">
{% endblock %}

{% block body %}
  <article class="wiki-page">
    <h1 class="wiki-page-title">{{ block('title') }}</h1>

    <div class="wiki-page-body">
      {{ page.currentRevision.body|cached_markdown|raw }}
    </div>
  </article>
{% endblock %}

{% block sidebar %}
  <section>
    <h1>{{ page.path }}</h1>
      <p>
        {{- 'wiki.last_edited'|trans({
          '%username%': '<a href="%s">%s</a>'|format(
            path('raddit_app_user', {username: page.currentRevision.user.username})|escape,
            page.currentRevision.user.username|escape
          ),
          '%timestamp%': block('_last_edited_time'),
        })|raw -}}
      </p>

    {% if page.locked %}
      <p>{{ 'wiki.locked_notice'|trans }}</p>
    {% endif %}
  </section>

  <section>
    <h1>{{ 'wiki.toolbox'|trans }}</h1>

    <ul>
      {% if is_granted('write', page) %}
        <li><a href="{{ path('raddit_app_wiki_edit', {path: page.path}) }}">{{ 'wiki.edit_page'|trans }}</a></li>
      {% endif %}
      <li><a href="{{ path('raddit_app_wiki_history', {path: page.path}) }}">{{ 'wiki.page_history'|trans }}</a></li>
    </ul>
  </section>

  <section>
    <h1>{{ 'wiki.navigation'|trans }}</h1>

    <ul>
      <li><a href="{{ path('raddit_app_wiki_all') }}">{{ 'wiki.all_pages'|trans }}</a></li>
    </ul>
  </section>
{% endblock %}

{% block _last_edited_time %}
  {% with {time: page.currentRevision.timestamp|localizeddate('long', 'short')} %}
    <time datetime="{{ page.currentRevision.timestamp|date('c') }}" title="{{ time }}" class="relative-time">
      {{ 'time.on_timestamp'|trans({'%timestamp%': time}) }}
    </time>
  {% endwith %}
{% endblock %}
